HTMLMetaElement (XML Standard API)
Date: 2016-02-03

org.w3c.dom.html

## Interface HTMLMetaElement

- All Superinterfaces:
    Element, HTMLElement, Node

      public interface HTMLMetaElement
      extends HTMLElement

  This contains generic meta-information about the document. See the META element definition in HTML 4.0.

- - ### Field Summary

    - ### Fields inherited from interface org.w3c.dom.Node

      `ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getContent()` Associated information.
    `java.lang.String` | `getHttpEquiv()` HTTP response header name.
    `java.lang.String` | `getName()` Meta information name.
    `java.lang.String` | `getScheme()` Select form of content.
    `void` | `setContent(java.lang.String content)`
    `void` | `setHttpEquiv(java.lang.String httpEquiv)`
    `void` | `setName(java.lang.String name)`
    `void` | `setScheme(java.lang.String scheme)`

    - ### Methods inherited from interface org.w3c.dom.html.HTMLElement

      `getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

    - ### Methods inherited from interface org.w3c.dom.Element

      `getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

    - ### Methods inherited from interface org.w3c.dom.Node

      `appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

- - ### Method Detail

    - #### getContent

          java.lang.String getContent()

      Associated information. See the content attribute definition in HTML 4.0.

    - #### setContent

          void setContent(java.lang.String content)

    - #### getHttpEquiv

          java.lang.String getHttpEquiv()

      HTTP response header name. See the http-equiv attribute definition in HTML 4.0.

    - #### setHttpEquiv

          void setHttpEquiv(java.lang.String httpEquiv)

    - #### getName

          java.lang.String getName()

      Meta information name. See the name attribute definition in HTML 4.0.

    - #### setName

          void setName(java.lang.String name)

    - #### getScheme

          java.lang.String getScheme()

      Select form of content. See the scheme attribute definition in HTML 4.0.

    - #### setScheme

          void setScheme(java.lang.String scheme)

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.